"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.initAndBind = initAndBind;

var _hub = require("@sentry/hub");

var _utils = require("@sentry/utils");

/**
 * Internal function to create a new SDK client instance. The client is
 * installed and then bound to the current scope.
 *
 * @param clientClass The client class to instanciate.
 * @param options Options to pass to the client.
 */
function initAndBind(clientClass, options) {
  if (options.debug === true) {
    _utils.logger.enable();
  }

  (0, _hub.getCurrentHub)().bindClient(new clientClass(options));
}