"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NoopTransport = void 0;

var _types = require("@sentry/types");

/** Noop transport */
var NoopTransport =
/** @class */
function () {
  function NoopTransport() {}
  /**
   * @inheritDoc
   */


  NoopTransport.prototype.sendEvent = function (_) {
    return Promise.resolve({
      reason: "NoopTransport: Event has been skipped because no Dsn is configured.",
      status: _types.Status.Skipped
    });
  };
  /**
   * @inheritDoc
   */


  NoopTransport.prototype.close = function (_) {
    return Promise.resolve(true);
  };

  return NoopTransport;
}();

exports.NoopTransport = NoopTransport;