"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NodeClient = void 0;

var tslib_1 = _interopRequireWildcard(require("tslib"));

var _core = require("@sentry/core");

var _backend = require("./backend");

var _version = require("./version");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

/**
 * The Sentry Node SDK Client.
 *
 * @see NodeOptions for documentation on configuration options.
 * @see SentryClient for usage documentation.
 */
var NodeClient =
/** @class */
function (_super) {
  tslib_1.__extends(NodeClient, _super);
  /**
   * Creates a new Node SDK instance.
   * @param options Configuration options for this SDK.
   */


  function NodeClient(options) {
    return _super.call(this, _backend.NodeBackend, options) || this;
  }
  /**
   * @inheritDoc
   */


  NodeClient.prototype._prepareEvent = function (event, scope, hint) {
    event.platform = event.platform || 'node';
    event.sdk = tslib_1.__assign({}, event.sdk, {
      name: _version.SDK_NAME,
      packages: tslib_1.__spread(event.sdk && event.sdk.packages || [], [{
        name: 'npm:@sentry/node',
        version: _version.SDK_VERSION
      }]),
      version: _version.SDK_VERSION
    });

    if (this.getOptions().serverName) {
      event.server_name = this.getOptions().serverName;
    }

    return _super.prototype._prepareEvent.call(this, event, scope, hint);
  };

  return NodeClient;
}(_core.BaseClient);

exports.NodeClient = NodeClient;