"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "Severity", {
  enumerable: true,
  get: function get() {
    return _types.Severity;
  }
});
Object.defineProperty(exports, "Status", {
  enumerable: true,
  get: function get() {
    return _types.Status;
  }
});
Object.defineProperty(exports, "addGlobalEventProcessor", {
  enumerable: true,
  get: function get() {
    return _core.addGlobalEventProcessor;
  }
});
Object.defineProperty(exports, "addBreadcrumb", {
  enumerable: true,
  get: function get() {
    return _core.addBreadcrumb;
  }
});
Object.defineProperty(exports, "captureException", {
  enumerable: true,
  get: function get() {
    return _core.captureException;
  }
});
Object.defineProperty(exports, "captureEvent", {
  enumerable: true,
  get: function get() {
    return _core.captureEvent;
  }
});
Object.defineProperty(exports, "captureMessage", {
  enumerable: true,
  get: function get() {
    return _core.captureMessage;
  }
});
Object.defineProperty(exports, "configureScope", {
  enumerable: true,
  get: function get() {
    return _core.configureScope;
  }
});
Object.defineProperty(exports, "getCurrentHub", {
  enumerable: true,
  get: function get() {
    return _core.getCurrentHub;
  }
});
Object.defineProperty(exports, "getHubFromCarrier", {
  enumerable: true,
  get: function get() {
    return _core.getHubFromCarrier;
  }
});
Object.defineProperty(exports, "Hub", {
  enumerable: true,
  get: function get() {
    return _core.Hub;
  }
});
Object.defineProperty(exports, "Scope", {
  enumerable: true,
  get: function get() {
    return _core.Scope;
  }
});
Object.defineProperty(exports, "setContext", {
  enumerable: true,
  get: function get() {
    return _core.setContext;
  }
});
Object.defineProperty(exports, "setExtra", {
  enumerable: true,
  get: function get() {
    return _core.setExtra;
  }
});
Object.defineProperty(exports, "setExtras", {
  enumerable: true,
  get: function get() {
    return _core.setExtras;
  }
});
Object.defineProperty(exports, "setTag", {
  enumerable: true,
  get: function get() {
    return _core.setTag;
  }
});
Object.defineProperty(exports, "setTags", {
  enumerable: true,
  get: function get() {
    return _core.setTags;
  }
});
Object.defineProperty(exports, "setUser", {
  enumerable: true,
  get: function get() {
    return _core.setUser;
  }
});
Object.defineProperty(exports, "Span", {
  enumerable: true,
  get: function get() {
    return _core.Span;
  }
});
Object.defineProperty(exports, "withScope", {
  enumerable: true,
  get: function get() {
    return _core.withScope;
  }
});
Object.defineProperty(exports, "NodeClient", {
  enumerable: true,
  get: function get() {
    return _client.NodeClient;
  }
});
Object.defineProperty(exports, "defaultIntegrations", {
  enumerable: true,
  get: function get() {
    return _sdk.defaultIntegrations;
  }
});
Object.defineProperty(exports, "init", {
  enumerable: true,
  get: function get() {
    return _sdk.init;
  }
});
Object.defineProperty(exports, "lastEventId", {
  enumerable: true,
  get: function get() {
    return _sdk.lastEventId;
  }
});
Object.defineProperty(exports, "flush", {
  enumerable: true,
  get: function get() {
    return _sdk.flush;
  }
});
Object.defineProperty(exports, "close", {
  enumerable: true,
  get: function get() {
    return _sdk.close;
  }
});
Object.defineProperty(exports, "SDK_NAME", {
  enumerable: true,
  get: function get() {
    return _version.SDK_NAME;
  }
});
Object.defineProperty(exports, "SDK_VERSION", {
  enumerable: true,
  get: function get() {
    return _version.SDK_VERSION;
  }
});
exports.Transports = exports.Handlers = exports.Integrations = void 0;

var tslib_1 = _interopRequireWildcard(require("tslib"));

var _types = require("@sentry/types");

var _core = require("@sentry/core");

var _client = require("./client");

var _sdk = require("./sdk");

var _version = require("./version");

var Handlers = _interopRequireWildcard(require("./handlers"));

exports.Handlers = Handlers;

var NodeIntegrations = _interopRequireWildcard(require("./integrations"));

var Transports = _interopRequireWildcard(require("./transports"));

exports.Transports = Transports;

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var INTEGRATIONS = tslib_1.__assign({}, _core.Integrations, NodeIntegrations);

exports.Integrations = INTEGRATIONS;