"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Modules = void 0;

var tslib_1 = _interopRequireWildcard(require("tslib"));

var _fs = require("fs");

var _path = require("path");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

var moduleCache;
/** Extract information about package.json modules */

function collectModules() {
  var mainPaths = require.main && require.main.paths || [];
  var paths = require.cache ? Object.keys(require.cache) : [];
  var infos = {};
  var seen = {};
  paths.forEach(function (path) {
    var dir = path;
    /** Traverse directories upward in the search of package.json file */

    var updir = function updir() {
      var orig = dir;
      dir = (0, _path.dirname)(orig);

      if (!dir || orig === dir || seen[orig]) {
        return undefined;
      }

      if (mainPaths.indexOf(dir) < 0) {
        return updir();
      }

      var pkgfile = (0, _path.join)(orig, 'package.json');
      seen[orig] = true;

      if (!(0, _fs.existsSync)(pkgfile)) {
        return updir();
      }

      try {
        var info = JSON.parse((0, _fs.readFileSync)(pkgfile, 'utf8'));
        infos[info.name] = info.version;
      } catch (_oO) {// no-empty
      }
    };

    updir();
  });
  return infos;
}
/** Add node modules / packages to the event */


var Modules =
/** @class */
function () {
  function Modules() {
    /**
     * @inheritDoc
     */
    this.name = Modules.id;
  }
  /**
   * @inheritDoc
   */


  Modules.prototype.setupOnce = function (addGlobalEventProcessor, getCurrentHub) {
    var _this = this;

    addGlobalEventProcessor(function (event) {
      if (!getCurrentHub().getIntegration(Modules)) {
        return event;
      }

      return tslib_1.__assign({}, event, {
        modules: _this._getModules()
      });
    });
  };
  /** Fetches the list of modules and the versions loaded by the entry file for your node.js app. */


  Modules.prototype._getModules = function () {
    if (!moduleCache) {
      // tslint:disable-next-line:no-unsafe-any
      moduleCache = collectModules();
    }

    return moduleCache;
  };
  /**
   * @inheritDoc
   */


  Modules.id = 'Modules';
  return Modules;
}();

exports.Modules = Modules;