"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.HTTPSTransport = void 0;

var tslib_1 = _interopRequireWildcard(require("tslib"));

var _utils = require("@sentry/utils");

var https = _interopRequireWildcard(require("https"));

var HttpsProxyAgent = _interopRequireWildcard(require("https-proxy-agent"));

var _base = require("./base");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

/** Node https module transport */
var HTTPSTransport =
/** @class */
function (_super) {
  tslib_1.__extends(HTTPSTransport, _super);
  /** Create a new instance and set this.agent */


  function HTTPSTransport(options) {
    var _this = _super.call(this, options) || this;

    _this.options = options;
    _this.module = https;
    var proxy = options.httpsProxy || options.httpProxy || process.env.https_proxy || process.env.http_proxy;
    _this.client = proxy ? // tslint:disable-next-line:no-unsafe-any
    new HttpsProxyAgent(proxy) : new https.Agent({
      keepAlive: false,
      maxSockets: 30,
      timeout: 2000
    });
    return _this;
  }
  /**
   * @inheritDoc
   */


  HTTPSTransport.prototype.sendEvent = function (event) {
    if (!this.module) {
      throw new _utils.SentryError('No module available in HTTPSTransport');
    }

    return this._sendWithModule(this.module, event);
  };

  return HTTPSTransport;
}(_base.BaseTransport);

exports.HTTPSTransport = HTTPSTransport;