'use strict';

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var url = require('url');

var https = require('https');
/**
 * This currently needs to be applied to all Node.js versions
 * in order to determine if the `req` is an HTTP or HTTPS request.
 *
 * There is currently no PR attempting to move this property upstream.
 */


var patchMarker = "__agent_base_https_request_patched__";

if (!https.request[patchMarker]) {
  https.request = function (request) {
    return function (_options, cb) {
      var options;

      if (typeof _options === 'string') {
        options = url.parse(_options);
      } else {
        options = _extends({}, _options);
      }

      if (null == options.port) {
        options.port = 443;
      }

      options.secureEndpoint = true;
      return request.call(https, options, cb);
    };
  }(https.request);

  https.request[patchMarker] = true;
}
/**
 * This is needed for Node.js >= 9.0.0 to make sure `https.get()` uses the
 * patched `https.request()`.
 *
 * Ref: https://github.com/nodejs/node/commit/5118f31
 */


https.get = function (_url, _options, cb) {
  var options;

  if (typeof _url === 'string' && _options && typeof _options !== 'function') {
    options = _extends({}, url.parse(_url), _options);
  } else if (!_options && !cb) {
    options = _url;
  } else if (!cb) {
    options = _url;
    cb = _options;
  }

  var req = https.request(options, cb);
  req.end();
  return req;
};